Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development
Class ApiProxyLocalFactory

    java.lang.Object
      com.google.appengine.tools.development.ApiProxyLocalFactory

    public class ApiProxyLocalFactory

extends java.lang.Object

Factory class for an `ApiProxy.Delegate` object configured to use local services, with additional context attributes from the factory setter methods. In particular, `setApplicationDirectory(File)` is a required attribute.

Constructor Summary
`ApiProxyLocalFactory()`

Method Summary
`ApiProxyLocal` | `create()` Either creates a new local proxy, or throws `IllegalStateException` if some required attribute is unset.
`java.io.File` | `getApplicationDirectory()` Retrieves the user's application directory, or `null` if unset.
`void` | `setApplicationDirectory(java.io.File dir)` Sets the directory containing the application files.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApiProxyLocalFactory

    public ApiProxyLocalFactory()

Method Detail

### create

    public ApiProxyLocal create()

  Either creates a new local proxy, or throws `IllegalStateException` if some required attribute is unset. `setApplicationDirectory(File)` is the only required attribute in this version.

  Returns:
    a new local proxy object
  Throws:
    `java.lang.IllegalStateException` - if the application directory is unset.

### setApplicationDirectory

    public void setApplicationDirectory(java.io.File dir)

  Sets the directory containing the application files. Without this, some services cannot operate.

  Parameters:
    `dir` - the root of the user's unpacked application.

### getApplicationDirectory

    public java.io.File getApplicationDirectory()

  Retrieves the user's application directory, or `null` if unset.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD